Skip to main content
GET
/
v1
/
competitor_prices
List Competitor Prices
curl --request GET \
  --url https://api.example.com/v1/competitor_prices
{
  "items": [
    {
      "id": 123,
      "competitor_name": "<string>",
      "observed_at": "2023-11-07T05:31:56Z",
      "regular_price": "<string>",
      "item_id": "<string>",
      "promo_price": "<string>",
      "currency": "<string>",
      "source_url": "<string>",
      "competitor_sku": "<string>",
      "barcode": "<string>",
      "status": "<string>",
      "stock_on_hand": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 1000
cursor
string | null
updated_since
string | null

Response

Successful Response

items
CompetitorPriceResponse · object[]
next_cursor
string | null